package com.sun.corba.se.impl.activation;

import com.sun.corba.se.spi.activation.Repository;
import com.sun.corba.se.spi.activation.ServerNotRegistered;
import com.sun.corba.se.spi.activation.RepositoryHelper;
import org.omg.CORBA.ORB;
import com.sun.corba.se.impl.orbutil.CorbaResourceUtil;
import java.io.PrintStream;

class GetServerID implements CommandHandler
{
    GetServerID() {
    }
    
    @Override
    public String getCommandName() {
        return "getserverid";
    }
    
    @Override
    public void printCommandHelp(PrintStream printStream, boolean b) {
        if (!b) {
            printStream.println(CorbaResourceUtil.getText("servertool.getserverid"));
        }
        else {
            printStream.println(CorbaResourceUtil.getText("servertool.getserverid1"));
        }
    }
    
    @Override
    public boolean processCommand(String[] array, ORB orb, PrintStream printStream) {
        if (array.length == 2 && array[0].equals("-applicationName")) {
            String s = array[1];
            try {
                Repository narrow = RepositoryHelper.narrow(orb.resolve_initial_references("ServerRepository"));
                try {
                    int serverID = narrow.getServerID(s);
                    printStream.println();
                    printStream.println(CorbaResourceUtil.getText("servertool.getserverid2", s, Integer.toString(serverID)));
                    printStream.println();
                }
                catch (ServerNotRegistered serverNotRegistered) {
                    printStream.println(CorbaResourceUtil.getText("servertool.nosuchserver"));
                }
            }
            catch (Exception ex) {
                ex.printStackTrace();
            }
            return false;
        }
        return true;
    }
}
